<app-admin-title
  [title]="title"
  [showProgressIndicator]="showProgressIndicator"
></app-admin-title>
<p>
  <mat-toolbar class="menu-toolbar">
    <button mat-button (click)="onBackClick.emit()">
      <fa-icon [icon]="faArrowLeft"></fa-icon> Back
    </button>
    <button mat-button (click)="showNewDialog()">
      <fa-icon [icon]="faPlus"></fa-icon> New
    </button>
    <button mat-button [disabled]="clickedRows.size != 1" (click)="showEditDialog()">
      <fa-icon [icon]="faEdit"></fa-icon> Edit
    </button>
    <button mat-button [disabled]="clickedRows.size != 2" (click)="showMergeDialog()">
      <fa-icon [icon]="faCodeMerge"></fa-icon> Merge
    </button>
    <button mat-button [disabled]="clickedRows.size != 1" (click)="showDeleteDialog()">
      <fa-icon [icon]="faTrashCan"></fa-icon> Delete
    </button>
  </mat-toolbar>
</p>

<div class="tableContainer">
  <table mat-table [dataSource]="dataSource">
    <ng-container [matColumnDef]="'name'">
      <th mat-header-cell *matHeaderCellDef>Name</th>
      <td  mat-cell *matCellDef="let element">{{element.name}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'team'">
      <th mat-header-cell *matHeaderCellDef>Team</th>
      <td  mat-cell *matCellDef="let element">{{getTeamByPlayer(element)?.shortName}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'event'">
      <th mat-header-cell *matHeaderCellDef>Event</th>
      <td  mat-cell *matCellDef="let element">{{getEventByPlayer(element)?.title}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'tallies'">
      <th mat-header-cell *matHeaderCellDef>Tallies</th>
      <td  mat-cell *matCellDef="let element">{{getTalliesCountByPlayer(element)}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'sales'">
      <th mat-header-cell *matHeaderCellDef>Tallies</th>
      <td  mat-cell *matCellDef="let element">{{settingsHandlerService.getAmountFormatted(getSumOfTallies(element))}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'enabled'">
      <th mat-header-cell *matHeaderCellDef>Enabled</th>
      <td  mat-cell *matCellDef="let element"><fa-icon [icon]="element.enabled ? faCheck : faXmark"></fa-icon></td>
    </ng-container>
    <ng-container [matColumnDef]="'creationtime'">
      <th mat-header-cell *matHeaderCellDef>Creation Time</th>
      <td  mat-cell *matCellDef="let element">{{settingsHandlerService.getTimestampFormatted(element.creationTime)}}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row (click)="onRowClicked(row)" [class.selected]="clickedRows.has(row)" *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="5">No data</td>
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[10, 20, 50]"
                 showFirstLastButtons
                 aria-label="Select page of teams">
  </mat-paginator>
</div>
